Timer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## other
Class Timer

    java.lang.Object
      other.Timer

public class Timer
extends java.lang.Object

Timer Klasse Ruft die Methode void timerAction(Timer t) eines TimerListener Objektes in regelmäßigen Abständen auf

Constructor Summary
`Timer(int i)` Konstruktor

Method Summary
`void` | `addTimerListener(TimerListener timerlistener)` Fügt dem Timer einen Listener hinzu
`int` | `getInterval()` Liefert das Intervall in dem die Methode timerAction() aufgerufen wird
`boolean` | `isrunning()` Liefert den Status des Timers
`void` | `setInterval(int i)` Setzt das Intervall in dem die Methode timerAction() aufgerufen wird
`void` | `start()` Startet den Timer
`void` | `stop()` Stoppt den Timmer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer(int i)

  Konstruktor

Parameters:
  `i` - das Delay

Method Detail

### setInterval

    public void setInterval(int i)

  Setzt das Intervall in dem die Methode timerAction() aufgerufen wird

  Parameters:
    `i` - das Delay

### getInterval

    public int getInterval()

  Liefert das Intervall in dem die Methode timerAction() aufgerufen wird

  Returns:
    das Delay

### addTimerListener

    public void addTimerListener(TimerListener timerlistener)

  Fügt dem Timer einen Listener hinzu

  Parameters:
    `timerlistener` - Objekt das die Methode timerAction() implementiert

### start

    public void start()

  Startet den Timer

### stop

    public void stop()

  Stoppt den Timmer

### isrunning

    public boolean isrunning()

  Liefert den Status des Timers

  Returns:
    true wenn der Timer läuft, sonst false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD